Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Typecode.h File Reference

`#include "ace/Thread_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Unbounded_Queue.h"`
`#include "tao/Exception.h"`
`#include "tao/Environment.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/Arg_Traits_T.h"`
`#include "tao/TC_Constants_Forward.h"`
`#include "tao/OBV_Constants.h"`
`#include "tao/CORBA_methods.h"`

Include dependency graph for Typecode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::TypeCode *x)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::TypeCode *&x)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::TCKind &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::TCKind &)

## Detailed Description

Id:
  Typecode.h,v 1.69 2003/12/27 22:18:15 bala Exp

Header file CORBA's "TypeCode" type.

Author:
  Copyright 1994-1995 by Sun Microsystems, Inc. , DOC group at Wash U, UCI and Vanderbilt U.

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::TCKind & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::TypeCode * | x
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::TCKind & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::TypeCode *& | x
| ) |